Bug 1080203 (perl-Excel-Template-Plus) - Review Request: perl-Excel-Template-Plus - An extension to the Excel::Template module
Summary: Review Request: perl-Excel-Template-Plus - An extension to the Excel::Templat...
Keywords:
Status: CLOSED RAWHIDE
Alias: perl-Excel-Template-Plus
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: perl-Excel-Template
Blocks: naemon perl-Catalyst-View-Excel-Template-Plus
TreeView+ depends on / blocked
 
Reported: 2014-03-24 21:48 UTC by Sven Nierlein
Modified: 2014-12-28 12:00 UTC (History)
3 users (show)

Fixed In Version: 0.05-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-28 12:00:04 UTC
ddick: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sven Nierlein 2014-03-24 21:48:37 UTC
Spec URL: http://nierlein.com/fedora/perl-Excel-Template-Plus.spec
SRPM URL: http://nierlein.com/fedora/perl-Excel-Template-Plus-0.05-1.fc21.src.rpm
Description:
Excel::Template::Plus is an extension to the Excel::Template module.

Fedora Account System Username: sni

Successful koji build:
not yet, build requires perl-Excel-Template from #1079745

This is one of my first review requests, so i am asking hereby for a sponsor. 

This perl module is required to proceed in #1069988
Related review requests: #1079718, #1079732, #1079733, #1079745, #1079749, #1079751, #1079753, #1080201

Comment 1 Sven Nierlein 2014-04-06 11:01:44 UTC
updated spec file according to comments from the related bugs and
uploaded new files:

http://nierlein.com/fedora/2014-04-06/perl-Excel-Template-Plus.spec
http://nierlein.com/fedora/2014-04-06/perl-Excel-Template-Plus-0.05-1.fc21.src.rpm

Comment 2 Sven Nierlein 2014-04-21 13:31:00 UTC
new spec file:
http://nierlein.com/fedora/2014-04-21/perl-Excel-Template-Plus.spec

i only changed the release number.

Comment 3 Sven Nierlein 2014-05-20 14:26:24 UTC
I added the missing perl compat requires and updated BRs and requires according to cpanspec. I also change the source url to the generic cpan url.

New files are here:
http://nierlein.com/fedora/2014-05-20/perl-Excel-Template-Plus.spec
http://nierlein.com/fedora/2014-05-20/perl-Excel-Template-Plus-0.05-3.fc21.noarch.rpm

Comment 4 David Dick 2014-09-30 05:53:20 UTC
(In reply to Sven Nierlein from comment #3)
> I added the missing perl compat requires and updated BRs and requires
> according to cpanspec. I also change the source url to the generic cpan url.
> 
> New files are here:
> http://nierlein.com/fedora/2014-05-20/perl-Excel-Template-Plus.spec
> http://nierlein.com/fedora/2014-05-20/perl-Excel-Template-Plus-0.05-3.fc21.
> noarch.rpm

Hi Sven,

Thats an RPM not an SRPM that you've uploaded.

Comment 6 David Dick 2014-10-14 05:58:07 UTC
Builds successfully at http://koji.fedoraproject.org/koji/taskinfo?taskID=7857678

License is correct

You need to add all the perl modules that are used during the build, test and install cycles.  In this case, all the perl modules when running "perl Makefile.PL && make && make test && make install"

Therefore, add the following BRs

BR: perl(Exporter) # in lib/Test/Excel/Template/Plus.pm at line 15
BR: perl(File::Spec::Functions) # in t/001_basic.t at line 7
BR: perl(Test::Pod) >= 1.14 # in t/pod.t at line 8
BR: perl(Test::Pod::Coverage) >= 1.04 # in t/pod_coverage.t at line 8
BR: perl(Moose::Util::TypeConstraints) # in lib/Excel/Template/Plus/TT.pm at line 4 
BR: perl(strict) # in t/000_load.t at line 3
BR: perl(Test::Builder) # in lib/Test/Excel/Template/Plus.pm at line 8
BR: perl(warnings) # in t/000_load.t at line 4

Remove the following BRs

BR: perl(Module::Build) # you are using Makefile.PL, there is no need for Module::Build.
BR: perl(File::Spec) # there is no reference to File::Spec, only File::Spec::Functions, therefore, include File::Spec::Functions explicitly, rpm will make the connection to install File::Spec
BR: perl(Test::More) # there are two separate instances in BuildRequires.  Remove one

Remove the following RunTime requires

Requires:       perl(Excel::Template)
Requires:       perl(IO::String)
Requires:       perl(Spreadsheet::ParseExcel)
Requires:       perl(Template)
Requires:       perl(Test::Deep)

as these are automatically detected

Add the following lines just before the %description line

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(Moose\\)$
%global __requires_exclude %__requires_exclude|^perl\\(MooseX::Param\\)$

as your explicitly versioned run time requires make the generic requires unnecessary.

Comment 7 Sven Nierlein 2014-10-16 10:57:50 UTC
thanks for your detailed remarks. I will take care of them after my vacation, so don't expect any update soon.

Comment 8 Sven Nierlein 2014-12-19 14:53:54 UTC
finally... sorry for the delay.
Here are the updated specs and source rpm file:

http://nierlein.com/fedora/2014-12-19/perl-Excel-Template-Plus.spec
http://nierlein.com/fedora/2014-12-19/perl-Excel-Template-Plus-0.05-4.fc22.src.rpm

Comment 9 David Dick 2014-12-19 20:16:24 UTC
Builds fine at http://koji.fedoraproject.org/koji/taskinfo?taskID=8441644

rpmlint is ok (spelling warnings may be ignored)

Package APPROVED!

Comment 10 Sven Nierlein 2014-12-23 17:21:27 UTC
New Package SCM Request
=======================
Package Name: perl-Excel-Template-Plus
Short Description: An extension to the Excel::Template module
Owners: sni
Branches: f21
InitialCC: perl-sig

Comment 11 Gwyn Ciesla 2014-12-23 18:51:39 UTC
Git done (by process-git-requests).

Comment 12 Sven Nierlein 2014-12-28 12:00:04 UTC
build and upload completed


Note You need to log in before you can comment on or make changes to this bug.